Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESGlobal

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.ESObject
                  |
                  +--com.caucho.es.ESGlobal

All Implemented Interfaces:
  ESCallable

public abstract class ESGlobal
extends ESObject
implements ESCallable

Implementation class representing the global object.

Fields inherited from class com.caucho.es.ESObject
`snapPrototype`

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Constructor Summary
`protected` | `ESGlobal(Global resin)` Null constructor

Method Summary
`abstract ESBase` | `call(int n, Call call, int length)`
`void` | `export(ESObject dest)`
`void` | `setProperty(java.lang.String name, ESBase value)`
`java.lang.Object` | `toJavaObject()`
`ESBase` | `toPrimitive(int hint)` returns a primitive
`ESString` | `toStr()` returns the string representation
`ESBase` | `typeof()` Returns the string representation of the type.
`ESBase` | `wrap(java.lang.Object obj)` Wraps the java object in an ES wrapper

Methods inherited from class com.caucho.es.ESObject
`call, canPut, construct, copy, copy, copy, delete, ecmaEquals, getProperty, keys, put, put, put, setProperty, shallowCopy, toBoolean, toNum, toObject, toSource, unwatch, watch`

Methods inherited from class com.caucho.es.ESBase
`call, getJavaType, getProperty, greaterThan, hasProperty, isBoolean, isNum, isString, lessThan, plus, setProperty, toInt32, toJavaString, toPrimitive, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ESGlobal

    protected ESGlobal(Global resin)

  Null constructor

Method Detail

### typeof

    public ESBase typeof()
                  throws ESException

  Returns the string representation of the type.
  Overrides:
    `typeof` in class `ESObject`

### toStr

    public ESString toStr()
                   throws ESException

  returns the string representation
  Overrides:
    `toStr` in class `ESObject`

### toPrimitive

    public ESBase toPrimitive(int hint)
                       throws ESException

  returns a primitive
  Overrides:
    `toPrimitive` in class `ESObject`

### setProperty

    public void setProperty(java.lang.String name,
                            ESBase value)
                     throws java.lang.Exception

  Overrides:
    `setProperty` in class `ESBase`

### toJavaObject

    public java.lang.Object toJavaObject()
                                  throws ESException

  Overrides:
    `toJavaObject` in class `ESObject`

### export

    public void export(ESObject dest)
                throws java.lang.Exception

### wrap

    public ESBase wrap(java.lang.Object obj)
                throws java.lang.Exception

  Wraps the java object in an ES wrapper

### call

    public abstract ESBase call(int n,
                                Call call,
                                int length)
                         throws java.lang.Exception

  Specified by:
    `call` in interface `ESCallable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD